\section{Build the SPIIR pipeline notes}


\subsection{Build script notes}
\label{sec:build}

As a reminder, the overall goal is to have a single script capable of checking out and building a branch of SPIIR (which you can then use for development/testing/whatever). An eventual goal will be to get it to run on a wide variety of machines, but for now OzSTAR and CIT are the two that have been tested. The script is able to build SPIIR, and also build all the things that SPIIR depends on (e.g. gstreamer), but for ease-of-use and speed, I’ve already compiled a copy of those dependencies so you should be able to build SPIIR directly.\\


You can get a copy of the script by:


git clone https://git.ligo.org/patrick.clearwater/spiir-scripts.git
cd spiir-scripts/build


and then you ready to build SPIIR.\\

On OzStar, this is as simple as:

bash build-spiir.sh build-spiir --branch=spiir-O3-v5 \# or whatever branch you want


On CIT you will need to tell it where I installed the dependencies: \\

bash build-spiir.sh build-spiir 

--branch=spiir-O3-v5

--dep-prefix=/home/patrick.clearwater/SPIIR\_build\_testing/scripts\_n\_things/build/dependencies 

NOTE that on CIT you also need to use one of the GPU nodes or the compilation will fail (CUDA doesn’t seem to be installed on the non-GPU nodes). \\


Once the script has run successfully, the last thing you’ll need to do is set up your .bashrc. You can run the following command:

bash build-spiir.sh environment

--dep-prefix=/home/patrick.clearwater/SPIIR\_build\_testing/scripts\_n\_things/build/dependencies

(leave off --dep-prefix if you’re building on OzSTAR). It will give you instructions on how to edit your .bashrc, but in short, you need to add one line to the end and then quit and reconnect. \\



Following this, you can type: \\

load\_spiir spiir-O3-v5 \# or whatever branch you’ve built \\

and it should just magically set you up with a working environment.


The LaTeX source for these is also in the git repository above.

Give it a go and let me know if/when you run into any issues!\footnote{\href{mailto:pclearwater@swin.edu.au}{Patrick Clearwater, pclearwater@swin.edu.au}}
